array_change_key_case
array_column
Array Functions
PHP Manual

# array_chunk

(PHP 4 >= 4.2.0, PHP 5)

array_chunk — Split an array into chunks

### Description

array array_chunk ( array `$array` , int `$size` [, bool `$preserve_keys` = false ] )

Chunks an array into `size` large chunks. The last chunk may contain less than `size` elements.

### Parameters

`array`

  The array to work on

`size`

  The size of each chunk

`preserve_keys`

  When set to `TRUE` keys will be preserved. Default is `FALSE` which will reindex the chunk numerically

### Return Values

Returns a multidimensional numerically indexed array, starting with zero, with each dimension containing `size` elements.

### Errors/Exceptions

If `size` is less than 1 `E_WARNING` will be thrown and `NULL` returned.

### Examples

Example #1 array_chunk() example

`<?php
$input_array = array('a', 'b', 'c', 'd', 'e');
print_r(array_chunk($input_array, 2));
print_r(array_chunk($input_array, 2, true));
?>`

The above example will output:

    Array
    (
        [0] => Array
            (
                [0] => a
                [1] => b
            )

        [1] => Array
            (
                [0] => c
                [1] => d
            )

        [2] => Array
            (
                [0] => e
            )

    )
    Array
    (
        [0] => Array
            (
                [0] => a
                [1] => b
            )

        [1] => Array
            (
                [2] => c
                [3] => d
            )

        [2] => Array
            (
                [4] => e
            )

    )

### See Also

- array_slice() - Extract a slice of the array

array_change_key_case
array_column
Array Functions
PHP Manual